From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/colord/
Date: Thu, 17 Feb 2022 04:33:53 +0000 (UTC) [thread overview]
Message-ID: <1645072373.21dec0c305de7e4a12d54b78d9de82de9fdca939.mattst88@gentoo> (raw)
commit: 21dec0c305de7e4a12d54b78d9de82de9fdca939
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 17 04:18:51 2022 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Feb 17 04:32:53 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21dec0c3
x11-misc/colord: Version bump to 1.4.6
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
x11-misc/colord/Manifest | 1 +
x11-misc/colord/colord-1.4.6.ebuild | 118 ++++++++++++++++++++++++++++++++++++
2 files changed, 119 insertions(+)
diff --git a/x11-misc/colord/Manifest b/x11-misc/colord/Manifest
index 82082149fc57..a1e72f5dd446 100644
--- a/x11-misc/colord/Manifest
+++ b/x11-misc/colord/Manifest
@@ -1 +1,2 @@
DIST colord-1.4.5.tar.xz 1869084 BLAKE2B 34c886bade6f71b0b81bbed216695d839873fba46423f6422b80ef2f62e88a403edd1686bb705ef78bcaeb352477e0581d784ccd388961cd42d880661b4b31ab SHA512 b6cc8087ceff4a99b7d764087208cc72e1219d9f6bb52bd3e3eb13bb62e3c1e99aefef36237dceff46925ab7680c76795f59057b7a4d1c8a123de6270708e03c
+DIST colord-1.4.6.tar.xz 1872528 BLAKE2B bf87ed1abe0a827ad81b5467847975d70e4cb83c1973fac3bcb1650875b7a0b375d48633bb1b01c7da1e8acd62cc4cf19f0efe9722e12bde3d8ec4833800ef2c SHA512 d55d3322199d0bfee74eee9e183c9246ec33e755f0144d96087acb3c43ab5a3d872086fcef9f29cdd2295be71daac703cdf90ad10bf183622fdd84347e7af123
diff --git a/x11-misc/colord/colord-1.4.6.ebuild b/x11-misc/colord/colord-1.4.6.ebuild
new file mode 100644
index 000000000000..e96cde369c15
--- /dev/null
+++ b/x11-misc/colord/colord-1.4.6.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+VALA_USE_DEPEND="vapigen"
+
+inherit bash-completion-r1 meson-multilib tmpfiles vala
+
+DESCRIPTION="System service to accurately color manage input and output devices"
+HOMEPAGE="https://www.freedesktop.org/software/colord/"
+SRC_URI="https://www.freedesktop.org/software/colord/releases/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0/2" # subslot = libcolord soname version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="gtk-doc argyllcms examples extra-print-profiles +introspection scanner systemd test vala"
+RESTRICT="!test? ( test ) test" # Tests try to read and write files in /tmp
+REQUIRED_USE="vala? ( introspection )"
+
+DEPEND="
+ >=dev-libs/glib-2.58.0:2[${MULTILIB_USEDEP}]
+ >=media-libs/lcms-2.6:2=[${MULTILIB_USEDEP}]
+ dev-db/sqlite:3=[${MULTILIB_USEDEP}]
+ >=dev-libs/libgusb-0.2.7[introspection?,${MULTILIB_USEDEP}]
+
+ dev-libs/libgudev:=[${MULTILIB_USEDEP}]
+ virtual/libudev:=[${MULTILIB_USEDEP}]
+ virtual/udev
+
+ systemd? ( >=sys-apps/systemd-44:0= )
+ scanner? (
+ media-gfx/sane-backends
+ sys-apps/dbus
+ )
+ >=sys-auth/polkit-0.114
+ argyllcms? ( media-gfx/argyllcms )
+ introspection? ( >=dev-libs/gobject-introspection-1.56:= )
+"
+RDEPEND="${DEPEND}
+ acct-group/colord
+ acct-user/colord
+"
+BDEPEND="
+ acct-group/colord
+ acct-user/colord
+ app-text/docbook-xsl-ns-stylesheets
+ dev-libs/libxslt
+ >=dev-util/intltool-0.35
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+ extra-print-profiles? ( media-gfx/argyllcms )
+ gtk-doc? (
+ dev-util/gtk-doc
+ app-text/docbook-xml-dtd:4.1.2
+ )
+ vala? ( $(vala_depend) )
+"
+
+src_prepare() {
+ default
+ use vala && vala_src_prepare
+
+ # Test requires a running session
+ # https://github.com/hughsie/colord/issues/94
+ sed -i -e "/test('colord-test-daemon'/d" lib/colord/meson.build || die
+
+ # Adapt to Gentoo paths
+ sed -i \
+ -e "s|find_program('spotread'|find_program('argyll-spotread'|" \
+ -e "s|find_program('colprof'|find_program('argyll-colprof'|" \
+ meson.build || die
+
+ # meson gnome.generate_vapi properly handles VAPIGEN and other vala
+ # environment variables. It is counter-productive to check for an
+ # unversioned vapigen, as that breaks versioned VAPIGEN usages.
+ sed -i -e "/find_program('vapigen')/d" meson.build || die
+}
+
+multilib_src_configure() {
+ local emesonargs=(
+ $(meson_native_true daemon)
+ -Dbash_completion=false
+ $(meson_native_true udev_rules) # Install udev rules only from native build
+ $(meson_native_use_bool systemd)
+ -Dlibcolordcompat=true
+ $(meson_native_use_bool argyllcms argyllcms_sensor)
+ $(meson_native_use_bool scanner sane)
+ $(meson_native_use_bool introspection)
+ $(meson_native_use_bool vala vapi)
+ $(meson_native_use_bool extra-print-profiles print_profiles)
+ $(meson_use test tests)
+ -Dinstalled_tests=false
+ -Ddaemon_user=colord
+ $(meson_native_true man)
+ $(meson_use gtk-doc docs)
+ --localstatedir="${EPREFIX}"/var
+ )
+ meson_src_configure
+}
+
+multilib_src_install_all() {
+ newbashcomp data/colormgr colormgr
+
+ # Ensure config and profile directories exist and /var/lib/colord/*
+ # is writable by colord user
+ keepdir /var/lib/color{,d}/icc
+ fowners colord:colord /var/lib/colord{,/icc}
+
+ if use examples; then
+ docinto examples
+ dodoc examples/*.c
+ fi
+}
+
+pkg_postinst() {
+ tmpfiles_process colord.conf
+}
next reply other threads:[~2022-02-17 4:33 UTC|newest]
Thread overview: 65+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-02-17 4:33 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-09 22:46 [gentoo-commits] repo/gentoo:master commit in: x11-misc/colord/ Sam James
2024-04-07 10:11 Arthur Zamarin
2024-04-07 10:11 Arthur Zamarin
2024-04-07 7:25 Arthur Zamarin
2024-04-06 21:07 Arthur Zamarin
2024-03-13 22:55 Mart Raudsepp
2024-03-12 21:50 Arthur Zamarin
2024-03-12 21:49 Arthur Zamarin
2024-02-22 20:47 Arthur Zamarin
2024-02-22 20:47 Arthur Zamarin
2024-02-10 18:53 Arthur Zamarin
2024-02-10 18:53 Arthur Zamarin
2024-01-22 13:24 Sam James
2023-12-02 21:29 Sam James
2022-08-19 3:38 Sam James
2022-06-17 17:45 Matt Turner
2022-05-26 9:44 Pacho Ramos
2022-05-17 13:07 WANG Xuerui
2022-04-09 22:05 Jason Zaman
2022-03-25 2:03 Sam James
2022-03-18 19:24 Matt Turner
2022-01-24 22:43 Matt Turner
2022-01-24 14:49 Sam James
2022-01-24 14:45 Sam James
2022-01-20 9:42 Arthur Zamarin
2021-12-26 0:24 Georgy Yakovlev
2021-12-19 18:15 Mart Raudsepp
2021-11-18 20:38 Mike Gilbert
2021-11-18 20:38 Mike Gilbert
2021-08-02 12:33 Marek Szuba
2021-06-04 1:14 Matt Turner
2021-06-02 23:53 Matt Turner
2021-05-31 2:00 Matt Turner
2021-05-29 15:27 Sam James
2021-05-28 19:20 Sam James
2021-05-28 19:11 Sam James
2021-04-27 14:39 Matt Turner
2021-04-20 1:53 Matt Turner
2021-01-25 0:43 Sam James
2021-01-18 21:10 Matt Turner
2020-12-13 12:16 Sergei Trofimovich
2020-04-11 10:20 Sergei Trofimovich
2019-07-23 18:34 Mart Raudsepp
2019-07-22 21:24 Sergei Trofimovich
2019-06-17 10:07 Mikle Kolyada
2019-05-10 21:36 Aaron Bauman
2019-05-10 17:49 Mikle Kolyada
2019-05-08 9:33 Mikle Kolyada
2019-02-08 16:51 Dennis Lamm
2017-10-30 22:26 Mart Raudsepp
2017-03-16 13:24 Jeroen Roovers
2017-02-21 9:16 Tobias Klausmann
2017-02-11 18:31 Pacho Ramos
2016-11-26 21:50 Lars Wendler
2016-11-26 21:50 Lars Wendler
2016-09-17 13:51 Pacho Ramos
2016-08-10 19:06 Pacho Ramos
2016-07-03 17:01 Pacho Ramos
2016-01-11 14:26 Pacho Ramos
2015-09-20 6:11 Jeroen Roovers
2015-09-16 8:43 Tobias Klausmann
2015-09-12 9:11 Agostino Sarubbo
2015-09-05 17:31 Pacho Ramos
2015-09-05 17:31 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1645072373.21dec0c305de7e4a12d54b78d9de82de9fdca939.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox